#include "lion/CIA.h"
#include "lion/LPP.h"
#include "lion/rtos/RTOS_Mutex.h"
#include "lion/log/log.h"
#include "CIA_Internal.h"

LOG_MODULE_REGISTER(cia, LOG_LEVEL_INF);

/**********************************************************************************************************************
 * @cond                                               FILE SCOPE                                              @endcond
 *********************************************************************************************************************/

GlobScop ICC_Context_t *cia_ptr_ICC;

FileScop LPP_Handlers_t cia_str_Handlers;
FileScop LPP_FunctionHandler_t cia_arr_FunctionHandlers[] = {
    {.sz_Name = "cfg_file", .fn_Get = cia_FunctionHandler_cfg_file_get, .fn_Set = cia_FunctionHandler_cfg_file_set},
    {0}};

/**********************************************************************************************************************
 * @cond                                              GLOBAL SCOPE                                             @endcond
 *********************************************************************************************************************/

GlobScop void CIA_Init(ICC_Context_t *ptr_ICC)
{
    cia_ptr_ICC = ptr_ICC;
    LPP_InitHandlers(&cia_str_Handlers, cia_arr_FunctionHandlers);
    LPP_RegisterHandlers(&cia_str_Handlers);
}

GlobScop int CIA_Start()
{
    return 0;
}

GlobScop int CIA_Stop(RTOS_Timeout_t tim_Timeout)
{
    return 0;
}