/**********************************************************************************************************************
 * @file            CIA_Internal.h
 *
 * @brief           This component declares all the resources provided by CIA_*.cpp files, to be used exclusively by 
 *                  sources within the CIA module.
 *
 * @author          Abram Early
 * @date            08/14/2023
 * @copyright       2023 Lion Energy LLC.
 *                  All rights reserved
 *
 *********************************************************************************************************************/
/**
 * @addtogroup      CIA
 *                  Identifier Description for the Configuration Interface Application (CIA) Module
 *
 * @ref             CIA_Internal.h
 *
 *********************************************************************************************************************/

#include <ArduinoJson.h>

#include "lion/CIA.h"
#include "lion/LPP.h"
#include "lion/icc/ICC.h"

#ifndef LION_CIA_INTERNAL_H__
#define LION_CIA_INTERNAL_H__

#ifdef __cplusplus
extern "C"
{
#endif

    /**********************************************************************************************************************
     * @cond                                              GLOBAL SCOPE                                             @endcond
     *********************************************************************************************************************/

GlobScop extern ICC_Context_t *cia_ptr_ICC;
    
GlobScop int cia_FunctionHandler_cfg_file_set(LPP_Request_t* ptr_Request);
GlobScop int cia_FunctionHandler_cfg_file_get(LPP_Request_t* ptr_Request);

#ifdef __cplusplus
}
#endif

#endif /* LION_CIA_INTERNAL_H__ */