/**********************************************************************************************************************
 * @file            TSS.h
 *
 * @brief           The Lion Time Sync Service (TSS) service provides an ICC function to call for retrieving an 
 *                  internet synced timestamp.
 *
 * @author          Abram Early
 * @date            08/08/2023
 * @copyright       2023 Lion Energy LLC.
 *                  All rights reserved
 *
 *********************************************************************************************************************/
/**
 * @addtogroup      TSS
 *                  Lion Time Sync Service (TSS) Service Module
 *
 * @ref             TSS.h
 *
 *********************************************************************************************************************/

#include "lion/icc/ICC.h"
#include "COD_Compiler_Defines.h"

GlobScop int TSS_Init(ICC_Context_t *ptr_ICC);